#include <LiquidCrystal.h>

LiquidCrystal lcd(2, 3, 4, 5, 6, 7);

void setup() {
  pinMode(17, OUTPUT);
  digitalWrite(17, HIGH);
  
  lcd.begin(16, 2);
  
  lcd.print("*** Shield-A ***");
  lcd.setCursor(0, 1);
  lcd.print("Svet elektronike");    
  delay(5000);
  lcd.setCursor(0, 1);
  lcd.print("                ");
}

void loop() {
  int vrijednostPotenciometra = analogRead(A0);
  int napon = map(vrijednostPotenciometra, 0, 1023, 0 , 5000);
  
  lcd.setCursor(0, 1);
  lcd.print("U = ");
  lcd.print(napon);
  lcd.print(" mV    ");
  
  delay(100);
}
